com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantHostProtectionListing

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantHostProtectionListing

-     public class TenantHostProtectionListing
      extends java.lang.Object

  A listing of `TenantHostProtectionElement` elements. Each element in the returned listing has a configurable set of host identifiers. These identifiers may be used to set different billing criteria for different hosts, or they may be ignored. What type of data is set in each identifier is returned in this class to avoid duplication. The possible values for the types of the identifier are:
  - NONE - there is no identifying information
  - HOSTNAME - the hostname.
  - OS - the operating system running on the host.
  - IPADDRESS - the last known IP address for the host.
  - GROUPID - the internal identifier of the group the host is a part of. For hosts not part of a group, the identifier will be an empty string.
  - SECURITYPROFILEID - the internal identifier of the policy (security profile) assigned to the host. For hosts not assigned a policy, the identifier will be an empty string.
  - AGENTVERSION - the version of Deep Security Agent running on the host.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantHostProtectionListing()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHostID1Type()` The type of the first configurable host identifier.
    `java.lang.String` | `getHostID2Type()` The type of the second configurable host identifier.
    `java.lang.String` | `getHostID3Type()` The type of the third configurable host identifier.
    `java.util.List<TenantHostProtectionElement>` | `getProtectionElements()` The listing of `TenantHostProtectionElement` elements.
    `void` | `setHostID1Type(java.lang.String hostID1Type)`
    `void` | `setHostID2Type(java.lang.String hostID2Type)`
    `void` | `setHostID3Type(java.lang.String hostID3Type)`
    `void` | `setProtectionElements(java.util.List<TenantHostProtectionElement> protectionElements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantHostProtectionListing

          public TenantHostProtectionListing()

  - ### Method Detail

    - #### getProtectionElements

          public java.util.List<TenantHostProtectionElement> getProtectionElements()

      The listing of `TenantHostProtectionElement` elements.

    - #### setProtectionElements

          public void setProtectionElements(java.util.List<TenantHostProtectionElement> protectionElements)

    - #### getHostID1Type

          public java.lang.String getHostID1Type()

      The type of the first configurable host identifier.

    - #### setHostID1Type

          public void setHostID1Type(java.lang.String hostID1Type)

    - #### getHostID2Type

          public java.lang.String getHostID2Type()

      The type of the second configurable host identifier.

    - #### setHostID2Type

          public void setHostID2Type(java.lang.String hostID2Type)

    - #### getHostID3Type

          public java.lang.String getHostID3Type()

      The type of the third configurable host identifier.

    - #### setHostID3Type

          public void setHostID3Type(java.lang.String hostID3Type)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.